LINUX.ORG.RU

gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)


0

0

Ну и намучился же, на http://hpux.cs.utah.edu/ все гнутое добро скомпилировано уже под архитектуру PA-RISC 2.0 и Итаники. Под 1.1 нифига нету ибо официально устарело :( Соответственно все нужно руками компилировать. Родного компилятора, ессно, нету :( GCC нету. Замкнутый круг. Кое-как нашел приличный бинарный пэкидж gcc-3.х.х кажется 3.4.3 да еще под 11.00. Начал собирать GCC-4.1.0: редиска все время хочет ansic от HP. Весь понедельник ее ублажал, переправил кучу хидеров в gcc и HP-UXе, уговорил в конце концов. Мерзопакастный configure, правда, все время пытался исправить мэйкфайлы по своему вкусу. В конце концов надоело мне в этой туче configure во всех директориях лазить и я плюнул на них: руками проще поправить пару строчек в мэйкфалах. Во вторник вроде начало компилироваться и продлжалось это на моей развалюхе часа четыре. Потом выяснилось, что configure (или не конфинуре) но в общем обсчиталось в длинне пути к файлу. Инсталлится, соответственно, не смогло. Уже вечером, пофиксил обрезанные имена файлов (Салют? Какой еще такой салют? А что было?). И стало мне счастье. Сижу теперь, аки любитель дженты собираю все остальное из сырцов :)))

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Да уж - высокий класс, подруга.
Чпукс - это вам не дженту, где каждый засранец может почувствовать себя крутым.

Sun-ch ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от Sun-ch

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

>Да уж - высокий класс, подруга. Чпукс - это вам не дженту, где каждый засранец может почувствовать себя крутым.

Спасибо, дорогая! :)

mezantrop ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от anonymous

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

А вот и мальчики подтянулись :) Да мы ж лучшие подруги и не ссоримся, выскажете лучше ваше мнение по поводу сабжа :)

mezantrop ()

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

"блин. не может быть так сексуально неудовлетворен человек! не может!" (с) bash.org.ru

Dimez ★★★★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от Sun-ch

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

> Да куда уж им gcc собрать, сосунки еще, кидди-скриптизеры.

Да куда уж им до Саныча, в свободное время портирующего перацкий мс-офис под БЭСМ...

ser_bur ★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от Dimez

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Понимал бы чего. Это и есть признак квалифицикации высшего порядка. Это блин, как на велосипеде на Северный полюс доехать.

Sun-ch ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от Sun-ch

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

>Понимал бы чего. Это и есть признак квалифицикации высшего порядка. Это блин, как на велосипеде на Северный полюс доехать.

Добрая ты тетка, однако

mezantrop ()

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

mezantrop, как же я тебе завидую - вот я намедни напильничал исходники текстового редактора xcoral дабы откомпилять их через cygwin и вобщем у меня квалификации не хватило завершить и кoнчить.

eg0_dist0rti0n ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от eg0_dist0rti0n

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Ну, cygwin это вообще отдееееельная история (вспоминая реализацию семафроров). Так, что судя по всему вы преуменьшаете свою квалификацию :)

mezantrop ()

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Кросс-компиляция не поможет?

sdio ★★★★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от Xellos

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

>Баян, но как похоже! http://lib.baikal.net/koi.cgi/UNIXOID/scomastdie.txt

Напоминает мое первое знакомство с солярис (до сих пор помню солярис 2.6 на i386) когда я, будучи очень умным, выборочно скачал гзипнутые пакеты с сунфриваре, притащил их за Н-цать километров в гору домой и обнаружил, что нету gzip'а ни в системе ни на болванке с пэкаджами :))

mezantrop ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от sdio

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

>Кросс-компиляция не поможет?

Нет, не поможет. Опции для 1.1 существуют, но gcc все равно скомпилирует для 2.0 :(

mezantrop ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от sdio

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Неа, пока искал инфу, выяснил что при компиляции самого gcc это бесполезно, все равно получится 2.0. Впрочем, сам не пробовал. В любом случае родное на родном быстрее скомпилируется посчитал я и убил два дня. Может быть на другой машинке при компиляции с -mpa-risc-1-1 мне бы повезло больше, но не думаю :)

mezantrop ()

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

не люблю чкупс. что вообще можно ожидать от состемы, где у ifconfig нет "-a", а нужно запускать lanscan? Кстати, user id там по-моему, signed int, поэтому не больше 2^15-1.

ivlad ★★★★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от ivlad

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

а что, может не хватить? :))

З.Ы. я видел несколько раз университетский солярис с шеллами для каждого студента, там passwd 3 мегабайта весил, но все равно, там было меньше 20000 юзверей...

gr_buza ★★★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от ivlad

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

>не люблю чкупс. что вообще можно ожидать от состемы, где у ifconfig нет "-a", а нужно запускать lanscan? Кстати, user id там по-моему, signed int, поэтому не больше 2^15-1.

Не любите ну и ладно, на мой взгляд очень надежная, стабильная система.

Ну для меня тоже был сюрприз, когда я после FreeBSD попробовал Linux и обнаружил, что в linux'овом ifconfig'e не показывается режим дуплексности карты.

У вас наверное очень старый чтукс был, юзер айди на HP-UX 11.11 принимает максимальное значение 0x7FFFFFFF.

mezantrop ()

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

Ставь SEX Linux и не парься.

anonymous ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от mezantrop

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

> У вас наверное очень старый чтукс был, юзер айди на HP-UX 11.11 принимает максимальное значение 0x7FFFFFFF.

есть ситуации, когда нельзя так просто апгрейдиться.

> У вас наверное очень старый чтукс был, юзер айди на HP-UX 11.11 принимает максимальное значение 0x7FFFFFFF.

ну почему?! почему signed? почему все системы догадались сделать unsigned, и только чпукс выделяется в нелучшую сторону... хотя, конечно, такой цыфры достаточно.

ivlad ★★★★★ ()
Ответ на: Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :) от mezantrop

Re: gcc 4.1.0 на PA-RISC 1.1 под HP-UX 11.11 :)

по всей видимости ivlad работал сисадмином Китая, Индии и еще пары десятков стран :))))))

gr_buza ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.